sys_tgkill
Prev | Internal Functions | Next

## Name

sys_tgkill — send signal to one specific thread

## Synopsis

`long sys_tgkill (` | int | tgid,
| int | pid,
| int | sig`)`;

## Arguments

`tgid`

  the thread group ID of the thread

`pid`

  the PID of the thread

`sig`

  signal to be sent

## Description

This syscall also checks the `tgid` and returns -ESRCH even if the PID exists but it's not belonging to the target process anymore. This method solves the problem of threads exiting and PIDs getting reused.

Prev | Up | Next
reparent_to_kthreadd | Home | kthread_run